/* mixer.h */

/* the mixer object handles the volume settings */

#ifndef __MIXER_H
#define __MIXER_H

#include <glib.h>

/* private data fields */
typedef struct _MixerData
{
   gint mixfd;
} MixerData;

/* create/open a new mixer object */
/* returns NULL on error */
MixerData* mixer_new();

/* delete/close a mixer object */
void mixer_free( MixerData *data );

/* set the volume to <vol> percent */
void mixer_set_volume( MixerData *data, gint vol );

/* get the actual volume in percent (0-100) */
gint mixer_get_volume( MixerData *data );

/* increment the volume by <step> percent;
   <step may be negative for decrement */
/* returns the new volume or -1 on error */
gint mixer_inc_volume( MixerData *data, gint step );

#endif /* __MIXER_H */
